package com.foreverwin.mesnac.common.service;

import com.foreverwin.mesnac.meapi.model.Operation;

import java.math.BigDecimal;

public interface CommonService {
    /**
     * 根据资源或工作中心查找车间
     * @param workCenterBo
     * @return
     */
    String getWorkShopBo(String workCenterBo);

    /**
     * 根据sfc查所在工序
     * @param sfcBo
     * @return
     */
    Operation getOperationBySfcBo(String sfcBo);

    void updateInventory(String site, String inventoryId, BigDecimal measuredQty);

    /**
     * 根据工序找资源
     * @param operation
     * @return
     */
    String getResrceByOperation(String operation);

}
